QwtInterval(3)

NAME
QwtInterval -

SYNOPSIS

#include <qwt_interval.h>

  Public Types
enum BorderFlag { IncludeBorders = 0x00, ExcludeMinimum = 0x01, ExcludeMaximum = 0x02, ExcludeBorders = ExcludeMinimum | ExcludeMaximum }
typedef QFlags< BorderFlag > BorderFlags

  Public Member Functions
QwtInterval ()
QwtInterval (double minValue, double maxValue, BorderFlags=IncludeBorders)
BorderFlags borderFlags () const
bool contains (double value) const
QwtInterval extend (double value) const
QwtInterval intersect (const QwtInterval &) const
bool intersects (const QwtInterval &) const
void invalidate ()
QwtInterval inverted () const
bool isNull () const
bool isValid () const
QwtInterval limited (double minValue, double maxValue) const
double maxValue () const
double minValue () const
QwtInterval normalized () const
bool operator!= (const QwtInterval &) const
QwtInterval operator& (const QwtInterval &) const
QwtInterval & operator&= (const QwtInterval &)
bool operator== (const QwtInterval &) const
QwtInterval operator| (const QwtInterval &) const
QwtInterval operator| (double) const
QwtInterval & operator|= (const QwtInterval &)
QwtInterval & operator|= (double)
void setBorderFlags (BorderFlags)
void setInterval (double minValue, double maxValue, BorderFlags=IncludeBorders)
void setMaxValue (double)
void setMinValue (double)
QwtInterval symmetrize (double value) const
QwtInterval unite (const QwtInterval &) const
double width () const

Detailed Description

A class representing an interval. The interval is represented by 2 doubles, the lower and the upper limit.

Member Enumeration Documentation

  enum QwtInterval::BorderFlag
Flag indicating if a border is included or excluded

See also:
    setBorderFlags(), borderFlags()

Enumerator:

IncludeBorders
    Min/Max values are inside the interval.

ExcludeMinimum
    Min value is not included in the interval.

ExcludeMaximum
    Max value is not included in the interval.

ExcludeBorders
    Min/Max values are not included in the interval.

Constructor & Destructor Documentation

  QwtInterval::QwtInterval () [inline]

Default Constructor. Creates an invalid interval [0.0, -1.0]

See also:
    setInterval(), isValid()

  QwtInterval::QwtInterval (doubleminValue, doublemaxValue, BorderFlagsborderFlags = IncludeBorders) [inline]
Constructor

Build an interval with from min/max values

Parameters:
    minValue Minimum value
    maxValue Maximum value
    borderFlags Include/Exclude borders

Member Function Documentation

  QwtInterval::BorderFlags QwtInterval::borderFlags () const [inline]
Returns:
    Border flags

See also:
    setBorderFlags()

  bool QwtInterval::contains (doublevalue) const
Test if a value is inside an interval

Parameters:
    value Value

Returns:
    true, if value >= minValue() && value <= maxValue()

  QwtInterval QwtInterval::extend (doublevalue) const
Extend the interval

If value is below minValue, value becomes the lower limit. If value is above maxValue, value becomes the upper limit.

extend has no effect for invalid intervals

Parameters:
    value Value

See also:
    isValid()

  bool QwtInterval::intersects (const QwtInterval &other) const
Test if two intervals overlap

  void QwtInterval::invalidate () [inline]
Invalidate the interval

The limits are set to interval [0.0, -1.0]

See also:
    isValid()

  QwtInterval QwtInterval::inverted () const
Invert the limits of the interval

Returns:
    Inverted interval

See also:
    normalized()

  bool QwtInterval::isNull () const [inline]
Returns:
    true, if isValid() && (minValue() >= maxValue())

  bool QwtInterval::isValid () const [inline]
A interval is valid when minValue() <= maxValue(). In case of QwtInterval::ExcludeBorders it is true when minValue() < maxValue()

  QwtInterval QwtInterval::limited (doublelowerBound, doubleupperBound) const
Limit the interval, keeping the border modes

Parameters:
    lowerBound Lower limit
    upperBound Upper limit

Returns:
    Limited interval

  double QwtInterval::maxValue () const [inline]
Returns:
    Upper limit of the interval

  double QwtInterval::minValue () const [inline]
Returns:
    Lower limit of the interval

  QwtInterval QwtInterval::normalized () const

Normalize the limits of the interval. If maxValue() < minValue() the limits will be inverted.

Returns:
    Normalized interval

See also:
    isValid(), inverted()

  QwtInterval QwtInterval::operator& (const QwtInterval &interval) const [inline]
Intersection of two intervals

See also:
    intersect()

  QwtInterval QwtInterval::operator| (const QwtInterval &interval) const [inline]
Union of two intervals

See also:
    unite()

  QwtInterval QwtInterval::operator| (doublevalue) const [inline]
Extend an interval

Parameters:
    value Value

Returns:
    Extended interval

See also:
    extend()

  QwtInterval & QwtInterval::operator|= (doublevalue)
Extend an interval

Parameters:
    value Value

Returns:
    Reference of the extended interval

See also:
    extend()

  void QwtInterval::setBorderFlags (BorderFlagsborderFlags) [inline]
Change the border flags

Parameters:
    borderFlags Or'd BorderMode flags

See also:
    borderFlags()

  void QwtInterval::setInterval (doubleminValue, doublemaxValue, BorderFlagsborderFlags = IncludeBorders) [inline]
Assign the limits of the interval

Parameters:
    minValue Minimum value
    maxValue Maximum value
    borderFlags Include/Exclude borders

  void QwtInterval::setMaxValue (doublemaxValue) [inline]
Assign the upper limit of the interval

Parameters:
    maxValue Maximum value

  void QwtInterval::setMinValue (doubleminValue) [inline]
Assign the lower limit of the interval

Parameters:
    minValue Minimum value

  QwtInterval QwtInterval::symmetrize (doublevalue) const
Adjust the limit that is closer to value, so that value becomes the center of the interval.

Parameters:
    value Center

Returns:
    Interval with value as center

  double QwtInterval::width () const [inline]
Return the width of an interval The width of invalid intervals is 0.0, otherwise the result is maxValue() - minValue().

See also:
    isValid()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.